

#define FIBSTATUS       "FIBSTATUS"         /* env. variable for status files */
#define FIBINITS        "FIBINITS"          /* env. variable for status files */
#define FIBSCRIPTS      "FIBSCRIPTS"        /* env. variable for scripts */

#define  INT  	  0
#define  DOUBLE   1
#define  CHAR     2
#define  END      3

#define EMPTY     0
#define COMMENT   1
#define HEADER    2
#define OTHER     4

#define FAILURE   1

#define FILE_BAD  1
#define FILE_OK   0

#ifndef TRUE
#define TRUE   1
#define FALSE  0
#endif

struct templateItem{

   char  *keyName;	/* the text we scan for */
   int   type;		/* so we know how to try to parse the key */
   char  *whereItGoes;	/* where to store the value */
   char  *defaultValue;	/* location of the default */
   int   bootToDefault; /* if TRUE, above value overrides file value at boot */
   int   required;	/* TRUE if we can't proceed without it */
   int   found;		/* TRUE if we have found it */
};
